<template>
    <div class="item" >
        <div class="item-header" @click="$emit('eventOpen')"> 
            <img v-if="featureIsOpen"
                 src="/assets/img/close_feature.svg"
                 alt=""
            >
            <img v-else
                 src="/assets/img/open_feature.svg"
                 alt=""
            >
            <span>{{ title }}</span>
        </div>

        <div class="item-description fourth_section_desc_item"
             :class="(featureIsOpen) ? 'feature_active' : ''"
        >
            {{ descriptionFirst }}
            <p class="item-description-second_part">
                {{ descriptionSecond }}
            </p>
        </div>

    </div>
</template>

<script>
export default {
   
    props: {
        title: {
            type: String,
        },
        descriptionFirst: {
            type: String,
        },
        descriptionSecond: {
            type: String
        },
        featureIsOpen: {
            type: Boolean
        }

    },
    data: () => ({
    //    featureIsOpen: false
    }),
    methods: {
        // changeFeatureVisibility() {
        //     this.featureIsOpen = !this.featureIsOpen;

        // }
    }
}
</script>

<style lang="scss" scoped>
    .item {
        margin-bottom: 50px;
        @media(max-width: 900px){
            margin-bottom: 20px;
        }
        &-header {
            display: flex;
            align-items: center;
            user-select: none;
             &:hover {
                    cursor: pointer;
                }
            img {
               
                height: 40px;
                &:hover {
                    cursor: pointer;
                }
                 @media(max-width: 900px){
                     width: 24px;
                     height: 24px;
                  }
                @media  screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
                    width: 40px;
                    min-width: 40px;
                }
                 @media  screen and (-ms-high-contrast: active), (-ms-high-contrast: none) and (max-width: 900px) {
                    min-width: 24px;
                }
            }
            span {
                font-family: OpenSans;
                font-size: 16px;
                line-height: 1.69;
                color: #30b164;
                margin-left: 19px;
                @media(max-width: 900px){
                    max-width: 506px;
                    font-size: 14px;
                }
            }
        }
        &-description {
            height: 0;
            opacity: 0;
            margin-top: 0;
            transition: all 0.4s;
            overflow: hidden;
            width: 100%;
            max-width: 477px;
            font-size: 14px;
            line-height: 1.71;
            color: #464d53;
            &-second_part {
                margin-top: 30px;
            }
        }
        .feature_active {
            height: 192px;
            margin-top: 23px;
            opacity: 1;
        }
    }
</style>
